package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ActSuppliesConvertrole;
import com.ruoyi.system.domain.ActSuppliesTemplate;

/**
 * 通用规则Service接口
 * 
 * @author ruoyi
 * @date 2023-08-29
 */
public interface IActSuppliesConvertroleService
{
    /**
     * 查询通用规则
     * 
     * @param id 通用规则ID
     * @return 通用规则
     */
     ActSuppliesConvertrole selectActSuppliesConvertById(Long id);

    /**
     * 查询通用规则列表
     * 
     * @param actSuppliesConvertrole 通用规则
     * @return 通用规则集合
     */
     List<ActSuppliesConvertrole> selectActSuppliesConvertList(ActSuppliesConvertrole actSuppliesConvertrole);

    /**
     * 新增通用规则
     * 
     * @param actSuppliesConvertrole 通用规则
     * @return 结果
     */
     int insertActSuppliesConvert(ActSuppliesConvertrole actSuppliesConvertrole);

    /**
     * 修改通用规则
     * 
     * @param actSuppliesConvertrole 通用规则
     * @return 结果
     */
     int updateActSuppliesConvert(ActSuppliesConvertrole actSuppliesConvertrole);

    /**
     * 批量删除通用规则
     * 
     * @param ids 需要删除的通用规则ID
     * @return 结果
     */
     int deleteActSuppliesConvertByIds(Long[] ids);

    /**
     * 删除通用规则信息
     * 
     * @param id 通用规则ID
     * @return 结果
     */
     int deleteActSuppliesConvertById(Long id);

    List<ActSuppliesTemplate> selectActSuppliesConvertListTemp();

    List<ActSuppliesConvertrole> convertRoleList(Integer id);

    List<ActSuppliesConvertrole> convertRoleListid(Integer id);
}
